commit: 888c4fcb2bd56530b4a4f16edaa1af26515a2416
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 12 06:44:41 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 12 06:45:07 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=888c4fcb
dev-python/rsa: Bump to 4.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/rsa/Manifest | 1 +
dev-python/rsa/rsa-4.2.ebuild | 35 +++++++++++++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/rsa/Manifest b/dev-python/rsa/Manifest
index 43e1ebfee4e..d4bc5173cd4 100644
--- a/dev-python/rsa/Manifest
+++ b/dev-python/rsa/Manifest
@@ -1,3 +1,4 @@
DIST python-rsa-version-4.1.gh.tar.gz 68748 BLAKE2B
f7f80fab701e52db0949dae709a8ac01db773ecf721427536a4cc5a7dedae6285eab12b3377daa15e0ecf23682ba800fc8601149a98277331b1cc19573a94596
SHA512
93d80050d7c249285e8e05e2d9d84940b15f08380c3108da3463c1625fde18884189757e480ff62cc2b65d1521c57f8aee15aec501f3f1b9961ce053b304c25c
+DIST python-rsa-version-4.2.gh.tar.gz 63280 BLAKE2B
1260fe2a0f34c16b3cd2e18bc642da2e9c6caad851920a4c010aaad31959d0baab397356cd2437eb4a9091b3f524760f45b8d46ff9a207be009b2613615681c1
SHA512
a4df2de41d252a42627e96298b044a50953c429b5062f02cc7b64a7e17f75b09bb8b0f9b371353e639d1daec7775c20f20348f45baf00f591514c54e1315f044
DIST rsa-3.4.2.tar.gz 40956 BLAKE2B
9a6353c84329303c655e7a25fcfa2ca42ea846c913fac0c26fee4a27bb85f9380de876b2ec07ae2212eb37efe5d2e401b2672f187f74bbeee1e9ef1099629e36
SHA512
62b0ff31fb3b9c18ae65bd102329e69726b853560576b1b66b9b89b26d3ff79154239af7e7a581b6a27c7017cc013f738762cd9662777ef594cc11c5b1f8e267
DIST rsa-4.0.tar.gz 37385 BLAKE2B
2621ee732f15ea12283b723efb5e88847d3e030e8115bb4a3e986099fc94adc3409202d54b4350b0888deefd8dc801d8d3e57fef9e85f386ead53e4412da6d05
SHA512
e11106741cc4275246c986d39b3f028b5a4df6fbffdd08a78072ac3d3a9a7ade7a39789c504a2705f54d858a9bdbf03981251f32f9c45baba71e4a986e14b24e
diff --git a/dev-python/rsa/rsa-4.2.ebuild b/dev-python/rsa/rsa-4.2.ebuild
new file mode 100644
index 00000000000..30d113c5c59
--- /dev/null
+++ b/dev-python/rsa/rsa-4.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_P=python-rsa-version-${PV}
+DESCRIPTION="Pure-Python RSA implementation"
+HOMEPAGE="https://stuvel.eu/rsa https://pypi.org/project/rsa/"
+SRC_URI="
+ https://github.com/sybrenstuvel/python-rsa/archive/version-${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.1.3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( dev-python/mock[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ rm tests/test_mypy.py || die
+ distutils-r1_src_prepare
+}